test lxnetwork_check extends snmpnetwork_check {
    # these are defaults describing some test parameters
    static set features local linux;
	static set name network;

    # the module we get our configuration from
    static set domain lxNetwork;

    static set arguments
	"maxerror:rate:Test fails if error rate goes above this value (default:4)"
	"warnerror:rate:Test shows yellow if error rate goes above this value (default: 1)"
	"maxload:kbsize|percentage:Fail if interface load goes above this percentage (default:60%)"
	"warnload:kbsize|percentage:Warn if interface load goes above this percentage (default:30%)"
	"speed:kbitrate:Override speed reported by the interface with this value"
	"interface:@pattern:A list of interface names"
	"item:string:column name we should report the results under (default: cpu)"
	"perf:int:time in minutes between sending performance data (0 for no performance data)";
}

